tbb::interface6::flattened2d< Container > Class Template Reference

## Public Types

typedef conval_type::size_type | size_type
| Basic types.
typedef conval_type::difference_type | difference_type
typedef conval_type::allocator_type | allocator_type
typedef conval_type::value_type | value_type
typedef conval_type::reference | reference
typedef conval_type::const_reference | const_reference
typedef conval_type::pointer | pointer
typedef conval_type::const_pointer | const_pointer
typedef internal::segmented_iterator < Container, value_type > | iterator
typedef internal::segmented_iterator < Container, const value_type > | const_iterator

## Public Member Functions

| flattened2d (const Container &c, typename Container::const_iterator b, typename Container::const_iterator e)
| flattened2d (const Container &c)
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
size_type | size () const

The documentation for this class was generated from the following file:

- enumerable_thread_specific.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.